---
title: 'ARIA: Comment role'
slug: Web/Accessibility/ARIA/Roles/Comment_role
tags:
  - ARIA
  - ARIA Role
  - Comment
  - Reference
  - annotations
---
<div>{{Page("/en-US/docs/Web/Accessibility/ARIA/Roles", "Subnav")}}</div>

<p>The <code>comment</code> <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">landmark role</a> semantically denotes a comment/reaction to some content on the page, or to a previous comment.</p>

<h2 id="Examples">Examples</h2>

<p>In the following example we have a document section that has been commented. The commented section is marked up using <code>&lt;span role="mark"&gt;</code>.</p>

<p>The related comment is marked up using an HTML structure wrapped with a <code>&lt;div&gt;</code> containing <code>role="comment"</code>.</p>

<pre class="brush: html">&lt;p&gt;The last half of the song is a slow-rising crescendo that peaks at the
&lt;span role="mark" aria-details="thread-1"&gt;end of the guitar solo&lt;/span&gt;, before fading away sharply.&lt;/p&gt;

&lt;div role="comment" id="thread-1" data-author="chris"&gt;
  &lt;h3&gt;Chris said&lt;/h3&gt;
  &lt;p class="comment-text"&gt;I really think this moment could use more cowbell.&lt;/p&gt;
  &lt;p&gt;&lt;time datetime="2019-03-30T19:29"&gt;March 30 2019, 19:29&lt;/time&gt;&lt;/p&gt;
&lt;/div&gt;</pre>

<p>To associate the comment with the text being commented, we need to wrap the commented text with an element containing the <code>aria-details</code> attribute, the value of which should be the ID of the comment.</p>

<h3 id="Multiple_comments">Multiple comments</h3>

<p>Since <code>aria-details</code> can now accept multiple IDs, we can associate multiple comments with the same annotation, like so:</p>

<pre>&lt;p&gt;The last half of the song is a slow-rising crescendo that peaks at the
&lt;mark aria-details="thread-1 thread-2"&gt;end of the guitar solo&lt;/mark&gt;, before fading away sharply.&lt;/p&gt;

&lt;div role="comment" id="thread-1" data-author="chris"&gt;
  &lt;h3&gt;Chris said&lt;/h3&gt;
  &lt;p class="comment-text"&gt;I really think this moment could use more cowbell.&lt;/p&gt;
  &lt;p&gt;&lt;time datetime="2019-03-30T19:29"&gt;March 30 2019, 19:29&lt;/time&gt;&lt;/p&gt;
&lt;/div&gt;

&lt;div role="comment" id="thread-2" data-author="chris"&gt;
  &lt;h3&gt;Marcus said&lt;/h3&gt;
  &lt;p class="comment-text"&gt;The guitar solo could do with a touch more chorus,
    and a slightly lower volume.&lt;/p&gt;
  &lt;p&gt;&lt;time datetime="2019-03-29T15:35"&gt;March 29 2019, 15:35&lt;/time&gt;&lt;/p&gt;
&lt;/div&gt;</pre>

<h3 id="Nested_comments">Nested comments</h3>

<p>Nested comments are also possible with ARIA annotations — nest the comments inside one another, like so:</p>

<pre class="brush: html">&lt;div role="comment" id="thread-1" data-author="chris"&gt;
  &lt;h3&gt;Chris said&lt;/h3&gt;
  &lt;p class="comment-text"&gt;I really think this moment could use more cowbell.&lt;/p&gt;
  &lt;p&gt;&lt;time datetime="2019-03-30T19:29"&gt;March 30 2019, 19:29&lt;/time&gt;&lt;/p&gt;

  &lt;div role="comment" data-author="marcus"&gt;
    &lt;h3&gt;Marcus replied&lt;/h3&gt;
    &lt;p class="comment-text"&gt;I don't know about that.
      I think the cowbell could distract from the solo.&lt;/p&gt;
    &lt;p&gt;&lt;time datetime="2019-03-30T21:02"&gt;March 30 2019, 21:02&lt;/time&gt;&lt;/p&gt;
  &lt;/div&gt;
&lt;/div&gt;
</pre>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">Landmark roles</a> are intended to be used sparingly, to identify larger overall sections of the document. Using too many landmark roles can create "noise" in screen readers, making it difficult to understand the overall layout of the page.</p>

<h2 id="Specifications">Specifications</h2>

<p>Will be part of WAI-ARIA 1.3, which is still being drafted.</p>

<h2 id="Screen_reader_support">Screen reader support</h2>

<p>TBD</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/Annotations">ARIA annotations</a></li>
</ul>
